Bug 1117917 - HotPluging a direct Lun disk fails if vm has a deactivated file disk
Summary: HotPluging a direct Lun disk fails if vm has a deactivated file disk
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:55 UTC by Ori Gofen
Modified: 2016-02-10 19:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 06:25:10 UTC
oVirt Team: Storage


Attachments (Terms of Use)
vdsm+engine logs (1.43 MB, application/gzip)
2014-07-09 15:55 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-07-09 15:55:45 UTC
Created attachment 916872 [details]
vdsm+engine logs

Description of problem:

HotPluging a direct Lun disk fails with several engine's exceptions in a case of a target vm with one deactivated file disk

from engine's log:

2014-07-09 18:18:33,328 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.HotPlugDiskVDSCommand] (ajp--127.0.0.1-8702-8) [22ba08f4] Command HotPlugDiskVDSCommand(HostName = vdsc, HostId = 46052aa2-266a-4e50-a61f-d78e5f004f91, vmId=3264c6fc-c1d4-4450-89a1-5ff3067675e6, diskId = 24d43e68-027f-4cb0-8419-451e98621efa) execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to HotPlugDiskVDS, error = internal error unable to execute QEMU command 'device_add': Device 'virtio-blk-pci' could not be initialized, code = 45
2014-07-09 18:18:33,343 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HotPlugDiskVDSCommand] (ajp--127.0.0.1-8702-8) [22ba08f4] FINISH, HotPlugDiskVDSCommand, log id: 6ef611c2
2014-07-09 18:18:33,348 ERROR [org.ovirt.engine.core.bll.AttachDiskToVmCommand] (ajp--127.0.0.1-8702-8) [22ba08f4] Command org.ovirt.engine.core.bll.AttachDiskToVmCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to HotPlugDiskVDS, error = internal error unable to execute QEMU command 'device_add': Device 'virtio-blk-pci' could not be initialized, code = 45 (Failed with error FailedToPlugDisk and code 45)
2014-07-09 18:18:33,360 ERROR [org.ovirt.engine.core.bll.AttachDiskToVmCommand] (ajp--127.0.0.1-8702-8) [22ba08f4] Transaction rolled-back for command: org.ovirt.engine.core.bll.AttachDiskToVmCommand.
2014-07-09 18:18:33,378 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-8) [22ba08f4] Correlation ID: 22ba08f4, Call Stack: null, Custom Event ID: -1, Message: Failed to attach Disk disk_1 to VM vm (User: admin).
2014-07-09 18:18:33,385 INFO  [org.ovirt.engine.core.bll.AttachDiskToVmCommand] (ajp--127.0.0.1-8702-8) [22ba08f4] Lock freed to object EngineLock [exclusiveLocks= key: 24d43e68-027f-4cb0-8419-451e98621efa value: DISK


Version-Release number of selected component (if applicable):
alpha2

How reproducible:
100%

Steps to Reproduce:

1.create a vm+thin nfs disk
2.run vm and deactivate it's disk
3.create a direct-Lun disk
4.HotPlug it to the vm

Actual results:
operation Fails

Expected results:
operation should be successful or not be aloud

Additional info:
not a regression

Comment 1 Liron Aravot 2014-08-28 06:25:10 UTC
We do not guarantee a successful hotplug in case of a guest without os, (see also https://bugzilla.redhat.com/show_bug.cgi?id=1117179#c5) - Therefore closing this one as WONTFIX. If there is further issue here other than the one please let me know and we'll decide to handle it as part of this bug or another bug.


Note You need to log in before you can comment on or make changes to this bug.